> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/test/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/test/networking/ipt/ip-transit/describeiptransitdatacenters.md).

# DescribeIPTransitDatacenters

## 1. 接口描述

本接口(DescribeIPTransitDatacenters)用于本接口用于连接IP Transit 服务支持的数据中心。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型     | 描述        |
| ---------- | -- | ------ | --------- |
| peerPortId | 否  | String | 指定端口ID。   |
| peerDcId   | 否  | String | 指定数据中心ID。 |

## 3. 响应结果

| 参数名称       | 类型                                                                                        | 描述                                                       |
| ---------- | ----------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                    | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| supportSet | Array of [IPTransitDatacenter](/test/networking/ipt/datastructure.md#iptransitdatacenter) | 结果集。                                                     |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1.查询从指定数据中心支持的IPT 数据中心信息。**

```
POST /api/v2/ipt HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIPTransitDatacenters
Request: 
{
    "peerDcId": "xxxx-xxxx-xxx-xxxx"
}
Response: 
{
    "requestId": "T22D41676-006F-4577-9A0A-3C08DAAD4C6D",
    "response": {
        "requestId": "T22D41676-006F-4577-9A0A-3C08DAAD4C6D",
        "supportSet": [
            {
                "dataCenter": {
                    "dcId": "822b9bd9-44f0-4279-a64d-568f5bc4a77b",
                    "cityName": "Amsterdam",
                    "areaName": "Europe",
                    "dcName": "Equinix AM3",
                    "latitude": 52.35501600,
                    "dcAddress": "Science Park 610, 1098 XH Amsterdam, Netherlands",
                    "countryName": "Netherlands",
                    "longitude": 4.96093800
                },
                "availableRoutingTypes": [
                    {
                        "routingType": "Static",
                        "deliveryType": "Manual"
                    },
                    {
                        "routingType": "Gateway",
                        "deliveryType": "Manual"
                    }
                ]
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/test/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/test/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                             | 说明          |
| ------- | ------------------------------- | ----------- |
| 404     | INVALID\_DATACENTER\_NOT\_FOUND | 指定的数据中心不存在。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/test/networking/ipt/ip-transit/describeiptransitdatacenters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
